Bug 25853 - update_patrons_category.pl has incorrect permissions in repo
Summary: update_patrons_category.pl has incorrect permissions in repo
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 17168
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-23 15:47 UTC by Liz Rea
Modified: 2020-09-20 14:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25853: Fix file permissions for update_patrons_category script (698 bytes, patch)
2020-07-18 01:55 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25853: Fix file permissions for update_patrons_category script (763 bytes, patch)
2020-07-26 13:23 UTC, didier
Details | Diff | Splinter Review
Bug 25853: Fix file permissions for update_patrons_category script (820 bytes, patch)
2020-08-07 00:56 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2020-06-23 15:47:49 UTC
The permissions for this are -rw-r--r-- and need to be -rwxr-xr-x
Comment 1 Katrin Fischer 2020-07-18 01:55:03 UTC
Created attachment 107052 [details] [review]
Bug 25853: Fix file permissions for update_patrons_category script

The permissions for this were -rw-r--r-- and need to be -rwxr-xr-x.

To test:
- Verify the file permissions before and after applying the patch.
Comment 2 didier 2020-07-26 13:23:04 UTC
Created attachment 107371 [details] [review]
Bug 25853: Fix file permissions for update_patrons_category script

The permissions for this were -rw-r--r-- and need to be -rwxr-xr-x.

To test:
- Verify the file permissions before and after applying the patch.

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>
Comment 3 Nick Clemens 2020-08-07 00:56:26 UTC
Created attachment 107938 [details] [review]
Bug 25853: Fix file permissions for update_patrons_category script

The permissions for this were -rw-r--r-- and need to be -rwxr-xr-x.

To test:
- Verify the file permissions before and after applying the patch.

Signed-off-by: Didier Gautheron <didier.gautheron@biblibre.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-08-07 14:56:03 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-14 22:23:16 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 23:15:41 UTC
backported to 19.11.x for 19.11.09
Comment 7 Victor Grousset/tuxayo 2020-09-20 14:18:51 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.